PETSc version 3.17.4
Fix/Edit manual page

# VecRestoreArrayWrite

Restores a vector after VecGetArrayWrite() has been called.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayWrite(Vec x,PetscScalar **a)

Logically Collective on Vec

### Input Parameters

| x | - the vector
| a | - location of pointer to array obtained from VecGetArray()

### See Also

VecGetArray(), VecRestoreArrayRead(), VecRestoreArrays(), VecRestoreArrayF90(), VecRestoreArrayReadF90(), VecPlaceArray(), VecRestoreArray2d(),
VecGetArrayPair(), VecRestoreArrayPair(), VecGetArrayWrite()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Examples

src/dm/impls/plex/tutorials/ex11.c.html
src/snes/tutorials/ex17.c.html
src/ts/tutorials/ex3.c.html
src/ts/tutorials/ex23fwdadj.c.html
src/tao/unconstrained/tutorials/rosenbrock3.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages